curl --request POST \
--url https://{defaultHost}/v1/customers/filter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"type": "condition",
"attribute_name": "email",
"operator_label": "is",
"comparison_value": "anyone@example.com"
}
}
'import requests
url = "https://{defaultHost}/v1/customers/filter"
payload = { "filter": {
"type": "condition",
"attribute_name": "email",
"operator_label": "is",
"comparison_value": "anyone@example.com"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
type: 'condition',
attribute_name: 'email',
operator_label: 'is',
comparison_value: 'anyone@example.com'
}
})
};
fetch('https://{defaultHost}/v1/customers/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/customers/filter",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'type' => 'condition',
'attribute_name' => 'email',
'operator_label' => 'is',
'comparison_value' => 'anyone@example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/customers/filter"
payload := strings.NewReader("{\n \"filter\": {\n \"type\": \"condition\",\n \"attribute_name\": \"email\",\n \"operator_label\": \"is\",\n \"comparison_value\": \"anyone@example.com\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/customers/filter")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"type\": \"condition\",\n \"attribute_name\": \"email\",\n \"operator_label\": \"is\",\n \"comparison_value\": \"anyone@example.com\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/customers/filter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"type\": \"condition\",\n \"attribute_name\": \"email\",\n \"operator_label\": \"is\",\n \"comparison_value\": \"anyone@example.com\"\n }\n}"
response = http.request(request)
puts response.read_body{
"object": "list",
"pagination": {
"count": 0,
"limit": 20,
"page": 1,
"url": "/v1/customers/filter"
},
"data": []
}Filter
Returns a list of customers matching the supplied rule tree.
curl --request POST \
--url https://{defaultHost}/v1/customers/filter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"type": "condition",
"attribute_name": "email",
"operator_label": "is",
"comparison_value": "anyone@example.com"
}
}
'import requests
url = "https://{defaultHost}/v1/customers/filter"
payload = { "filter": {
"type": "condition",
"attribute_name": "email",
"operator_label": "is",
"comparison_value": "anyone@example.com"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
type: 'condition',
attribute_name: 'email',
operator_label: 'is',
comparison_value: 'anyone@example.com'
}
})
};
fetch('https://{defaultHost}/v1/customers/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/customers/filter",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'type' => 'condition',
'attribute_name' => 'email',
'operator_label' => 'is',
'comparison_value' => 'anyone@example.com'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/customers/filter"
payload := strings.NewReader("{\n \"filter\": {\n \"type\": \"condition\",\n \"attribute_name\": \"email\",\n \"operator_label\": \"is\",\n \"comparison_value\": \"anyone@example.com\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/customers/filter")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"type\": \"condition\",\n \"attribute_name\": \"email\",\n \"operator_label\": \"is\",\n \"comparison_value\": \"anyone@example.com\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/customers/filter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"type\": \"condition\",\n \"attribute_name\": \"email\",\n \"operator_label\": \"is\",\n \"comparison_value\": \"anyone@example.com\"\n }\n}"
response = http.request(request)
puts response.read_body{
"object": "list",
"pagination": {
"count": 0,
"limit": 20,
"page": 1,
"url": "/v1/customers/filter"
},
"data": []
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
The query to be used for full text search of this collection.
The sorting column and order to be used for this collection. Available sorting columns for this endpoint are created_at, email, name, and updated_at.
Body
A rule tree describing how to filter records. May be a single rule_condition or a rule_group combining multiple conditions and nested groups with and / or. The valid attribute_name and operator_label values for each resource come from the corresponding GET /v1/<resource>/filter_schema endpoint.
- Option 1
- Option 2
Show child attributes
Show child attributes
{ "type": "group" }
Was this page helpful?